Package org.apache.catalina.ant

## Class AbstractCatalinaCommandTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.catalina.ant.BaseRedirectorHelperTask
      - - org.apache.catalina.ant.AbstractCatalinaTask
        - - org.apache.catalina.ant.AbstractCatalinaCommandTask

All Implemented Interfaces:
  `Cloneable`

Direct Known Subclasses:
  `DeployTask`, `ReloadTask`, `SessionsTask`, `StartTask`, `StopTask`, `UndeployTask`

    public abstract class AbstractCatalinaCommandTask
    extends AbstractCatalinaTask

### Field Summary

Fields
`protected String` `path` The context path of the web application we are managing.
`protected String` `version` The context version of the web application we are managing.

### Fields inherited from class org.apache.catalina.ant.AbstractCatalinaTask

`charset, ignoreResponseConstraint, password, url, username`

### Fields inherited from class org.apache.catalina.ant.BaseRedirectorHelperTask

`alwaysLog, failOnError, redirectErrStream, redirector, redirectorConfigured, redirectorElement, redirectOutput, redirectOutStream`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
`AbstractCatalinaCommandTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`StringBuilder` `createQueryString​(String command)` Create query string for the specified command.
`String` `getPath()`
`String` `getVersion()`
`void` `setPath​(String path)`
`void` `setVersion​(String version)`

### Methods inherited from class org.apache.catalina.ant.AbstractCatalinaTask

`execute, execute, execute, getCharset, getPassword, getUrl, getUsername, isIgnoreResponseConstraint, setCharset, setIgnoreResponseConstraint, setPassword, setUrl, setUsername`

### Methods inherited from class org.apache.catalina.ant.BaseRedirectorHelperTask

`addConfiguredRedirector, closeRedirector, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, handleOutput, isFailOnError, openRedirector, setAlwaysLog, setAppend, setCreateEmptyFiles, setError, setErrorProperty, setFailonerror, setLogError, setOutput, setOutputproperty`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleInput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### path

    protected String path

The context path of the web application we are managing.

#### version

    protected String version

The context version of the web application we are managing.

### Constructor Detail

#### AbstractCatalinaCommandTask

    public AbstractCatalinaCommandTask()

### Method Detail

#### getPath

    public String getPath()

#### setPath

    public void setPath​(String path)

#### getVersion

    public String getVersion()

#### setVersion

    public void setVersion​(String version)

#### createQueryString

    public StringBuilder createQueryString​(String command)
                                    throws org.apache.tools.ant.BuildException

Create query string for the specified command.

Parameters:
  `command` - Command to be executed
Returns:
  The generated query string
Throws:
  `org.apache.tools.ant.BuildException` - if an error occurs